repo/gentoo:master commit in: xfce-base/xfce4-settings/

Michał Górny <[email protected]> Tue, 04 Aug 2026 07:44:07 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785829443.90c4643e02d208c79614f945eddfcc0ff8e6fe66.mgorny@gentoo>
commit:     90c4643e02d208c79614f945eddfcc0ff8e6fe66
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 05:51:04 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 07:44:03 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90c4643e

xfce-base/xfce4-settings: Bump to 4.21.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/xfce4-settings/Manifest                  |  1 +
 .../xfce4-settings/xfce4-settings-4.21.3.ebuild    | 91 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/xfce-base/xfce4-settings/Manifest b/xfce-base/xfce4-settings/Manifest
index b45510457a54..71fe310f3b59 100644
--- a/xfce-base/xfce4-settings/Manifest
+++ b/xfce-base/xfce4-settings/Manifest
@@ -2,3 +2,4 @@ DIST xfce4-settings-4.20.4.tar.bz2 2594755 BLAKE2B 6bff03f2784b5a07c135e8aba16d0
 DIST xfce4-settings-4.20.5.tar.bz2 2606817 BLAKE2B 88a6a63cfd419e8e771c9aa6231907f46c53e7e2b4b863f9e32c1d58f77edba96420d11ece89d85555617a2e66b0704f291ddf36cfdeafba04a8b30115cfe302 SHA512 99ec7f585029f10d90d462b7dc57376786952b6c92ff80a174195cbc4b89989191c8363fd4f359a99eb5bfc2e10dc411961ab331f1f8c6911c6b3e32d7ab448e
 DIST xfce4-settings-4.21.1.tar.xz 1044396 BLAKE2B d488b988ec483b77e2c49dd6e65567cd96067867742ca1acc0b543d092b8d1d094de0ec89134b41c7de725c8f972d182e50a872c14df5cc8b160659febc67ae2 SHA512 dca1849b494025b6371e3899b1436b911e20d6479f3074fe3e7d2872aacc799c1f0c6f2ff31704dd5b6fdb6733803d5cdbe41753c58cd750834db876df73a115
 DIST xfce4-settings-4.21.2.tar.xz 1065600 BLAKE2B 1acf0f44340a83a6af64bfef87673509e9cc30efe74e5aaacfaef52b99640bef0b3de8f3bc376124b4ec2766dacc6f938be1ae9e882f9dd2fb7b6841c7b34c0d SHA512 196ea684f550dba6d4569c39c41ebe71cb16c77c4051b6d8f1956538a88ed079aab9f25f9634cbedcb1dfee93b134561eb12baad3da05c31f4f698748d44150c
+DIST xfce4-settings-4.21.3.tar.xz 1097228 BLAKE2B 782de192af91c363d14fbf31a46d76d329bb9cd862c5512ee297c7e5c005de08d00f8cc84598e0928cc66ffe578658b47cb7bd0658471aa46d92a5b31454f573 SHA512 04c65958ea093c4e1d4bc425a6172d2d159b33dfe5de0ca9e46dc673298d661815a2b09218e2b02965bc3c5d9c43c370a9298fcd594ea7513c0925ddd19d354b

diff --git a/xfce-base/xfce4-settings/xfce4-settings-4.21.3.ebuild b/xfce-base/xfce4-settings/xfce4-settings-4.21.3.ebuild
new file mode 100644
index 000000000000..715c7d5ace09
--- /dev/null
+++ b/xfce-base/xfce4-settings/xfce4-settings-4.21.3.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit meson python-single-r1 xdg-utils
+
+DESCRIPTION="Configuration system for the Xfce desktop environment"
+HOMEPAGE="
+	https://docs.xfce.org/xfce/xfce4-settings/start
+	https://gitlab.xfce.org/xfce/xfce4-settings/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="X colord libnotify upower wayland +xklavier"
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	|| ( X wayland )
+"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	>=dev-libs/glib-2.80.0
+	>=x11-libs/gtk+-3.24.0:3[X?,wayland?]
+	>=xfce-base/garcon-4.20.0:=
+	>=xfce-base/libxfce4ui-4.21.9:=[X?]
+	>=xfce-base/libxfce4util-4.20.0:=
+	>=xfce-base/xfconf-4.19.3:=
+	colord? ( >=x11-misc/colord-1.0.2:= )
+	upower? ( >=sys-power/upower-0.99.10 )
+
+	X? (
+		>=media-libs/fontconfig-2.6.0
+		>=x11-libs/libX11-1.6.7
+		>=x11-libs/libXcursor-1.1.0
+		>=x11-libs/libXext-1.0.0
+		>=x11-libs/libXi-1.2.0
+		>=x11-libs/libXrandr-1.5.0
+		libnotify? ( >=x11-libs/libnotify-0.7.8 )
+		xklavier? ( >=x11-libs/libxklavier-5.0 )
+	)
+	wayland? (
+		>=dev-libs/wayland-1.20
+		>=gui-libs/gtk-layer-shell-0.7.0
+	)
+"
+DEPEND="
+	${RDEPEND}
+	X? ( x11-base/xorg-proto )
+"
+# libxml2 for xmllint
+BDEPEND="
+	dev-libs/libxml2
+	>=dev-util/gdbus-codegen-2.80.5-r1
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+	python_fix_shebang dialogs/mime-settings/helpers/xfce4-compose-mail
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature X x11)
+		$(meson_feature wayland)
+		$(meson_feature libnotify)
+		$(meson_feature xklavier libxklavier)
+		$(meson_feature X xcursor)
+		$(meson_feature X xrandr)
+		$(meson_feature wayland gtk-layer-shell)
+		$(meson_feature upower)
+		$(meson_feature colord)
+		-Dsound-settings=true
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}